
From: Jeff Dike <jdike@addtoit.com>

Tidied up some whitespace in arch/um/Makefile.  Added -DUM_FASTCALL to
Makefile-i386.  make clean descends into util in order to get rid of the
binaries there.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/Makefile        |    2 +-
 25-akpm/arch/um/Makefile-i386   |    5 +++++
 25-akpm/arch/um/kernel/Makefile |    5 +++++
 3 files changed, 11 insertions(+), 1 deletion(-)

diff -puN arch/um/kernel/Makefile~uml-small-makefile-fixes arch/um/kernel/Makefile
--- 25/arch/um/kernel/Makefile~uml-small-makefile-fixes	2004-09-23 00:07:50.218562968 -0700
+++ 25-akpm/arch/um/kernel/Makefile	2004-09-23 00:07:50.225561904 -0700
@@ -5,6 +5,11 @@
 
 extra-y := vmlinux.lds uml.lds dyn.lds
 
+# Descend into ../util for make clean.  This is here because it doesn't work
+# in arch/um/Makefile.
+
+subdir- = ../util
+
 obj-y = checksum.o config.o exec_kern.o exitcode.o frame_kern.o frame.o \
 	helper.o init_task.o irq.o irq_user.o ksyms.o main.o mem.o mem_user.o \
 	physmem.o process.o process_kern.o ptrace.o reboot.o resource.o \
diff -puN arch/um/Makefile~uml-small-makefile-fixes arch/um/Makefile
--- 25/arch/um/Makefile~uml-small-makefile-fixes	2004-09-23 00:07:50.220562664 -0700
+++ 25-akpm/arch/um/Makefile	2004-09-23 00:07:50.224562056 -0700
@@ -67,7 +67,7 @@ LINK_WRAPS = -Wl,--wrap,malloc -Wl,--wra
 # included; the values here are meaningless
 
 CONFIG_NEST_LEVEL ?= 0
-CONFIG_KERNEL_HALF_GIGS ?=  0
+CONFIG_KERNEL_HALF_GIGS ?= 0
 
 SIZE = (($(CONFIG_NEST_LEVEL) + $(CONFIG_KERNEL_HALF_GIGS)) * 0x20000000)
 
diff -puN arch/um/Makefile-i386~uml-small-makefile-fixes arch/um/Makefile-i386
--- 25/arch/um/Makefile-i386~uml-small-makefile-fixes	2004-09-23 00:07:50.221562512 -0700
+++ 25-akpm/arch/um/Makefile-i386	2004-09-23 00:07:50.225561904 -0700
@@ -5,6 +5,11 @@ TOP_ADDR = 0xc0000000
 endif
 
 CFLAGS += -U__$(SUBARCH)__ -U$(SUBARCH)
+
+ifneq ($(CONFIG_GPROF),y)
+ARCH_CFLAGS += -DUM_FASTCALL
+endif
+
 ELF_ARCH = $(SUBARCH)
 ELF_FORMAT = elf32-$(SUBARCH)
 
_
